#/bin/sh
kubectl create namespace gitlab-runner
kubectl create serviceaccount gitlab-runner -n gitlab-runner
kubectl apply -f gitlab-runner-roles.yaml
kubectl create -f create-pvc-minio.yaml
kubectl -n gitlab-runner create secret generic my-gitlab-runner-secret --from-literal=accesskey=minio --from-literal=secretkey=minio123
kubectl -n gitlab-runner create secret generic my-minio-secret --from-literal=access-key=minio --from-literal=secret-key=minio123
sleep 2
kubectl get all -n gitlab-runner
kubectl get pvc -n gitlab-runner
kubectl get pv
kubectl get sa  -n gitlab-runner
kubectl get secrets  -n gitlab-runner

