helm install  velero vmware-tanzu/velero \
    --namespace velero \
    --create-namespace \
    --set-file credentials.secretContents.cloud=./credentials-velero \
    --set configuration.provider=aws \
    --set configuration.backupStorageLocation.name=dev-storage \
    --set configuration.backupStorageLocation.bucket=velero-backup-location \
    --set configuration.backupStorageLocation.config.region=default \
    --set configuration.backupStorageLocation.config.s3ForcePathStyle=true \
    --set configuration.backupStorageLocation.config.s3Url=http://141.75.148.151:9000/ \
    --set snapshotsEnabled=true \
    --set deployRestic=true \
    --set configuration.volumeSnapshotLocation.name=dev-storage \
    --set configuration.volumeSnapshotLocation.config.region=default \
    --set initContainers[0].name=velero-plugin-for-aws \
    --set initContainers[0].image=velero/velero-plugin-for-aws:v1.1.0 \
    --set initContainers[0].volumeMounts[0].mountPath=/target \
    --set initContainers[0].volumeMounts[0].name=plugins 
